import { CreateSenderProfileDto } from './dto/create-sender-profile.dto';
import { UpdateSenderProfileDto } from './dto/update-sender-profile.dto';
import { SenderProfile } from './entities/sender-profile.entity';
export declare class SenderProfileService {
    private readonly senderProfileRepository;
    constructor(senderProfileRepository: typeof SenderProfile);
    create(createSenderProfileDto: CreateSenderProfileDto): Promise<SenderProfile>;
    findAll(): Promise<SenderProfile[]>;
    findOne(id: string): Promise<SenderProfile>;
    update(id: string, updateSenderProfileDto: UpdateSenderProfileDto): Promise<SenderProfile>;
    remove(id: string): Promise<string>;
}
